Subject: bug#68954: closed (Re: bug#68954: Offending commit)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Feb 2024 05:29:02 +0000

Your bug report

#68954: [PATCH] Crasher in treesit_traverse_get_predicate

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68954: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68954
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68954: Offending commit
From: Yuan Fu <[email-masked]>
To: Dominique Quatravaux <[email-masked]>
Cc: [email-masked]
Date: Thu, 8 Feb 2024 21:27:43 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Feb 8, 2024, at 1:36 AM, Dominique Quatravaux <[email-masked]> wrote:
> 
> 
> 
> Le jeu. 8 févr. 2024 à 02:35, Yuan Fu <[email-masked]> a écrit :
> 
> 
> Actually, here’s what I would write for your change, feel free to modify it as you like.
> 
> 
> Many thanks for the step-by-step instructions! Attached is what `git format-patch` gave me, I hope that I got everything right.
> 
> Yours truly,
>  

Great! Merged to master. Closing this. I also recommend you start your copyright assignment process, in case you contribute more in the future. You can ask for the from and instructions on emacs-devel, or just CC Eli ([email-masked]) in this thread and ask him to send you one.

Yuan

Subject: [PATCH] Crasher in treesit_traverse_get_predicate
From: Dominique Quatravaux <[email-masked]>
To: [email-masked]
Date: Tue, 6 Feb 2024 18:08:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Because nothing guarantees or enforces that either Vtreesit_thing_settings,
or the cdrs of its elements, are cons cells, it is easy to construct values
for `treesit-thing-settings' that make Emacs crash (e.g., when calling
`prog-fill-reindent-defun' from any tree-sitter enabled mode).

The attached patch fixes that.

--
 Dominique Quatravaux
 [email-masked]